For Developers

Trigger Enrichment

POST https://ed.link/api/v2/teams/:team_id/sources/:source_id/enrichments

Queues a new enrichment run to merge linked source data into the primary source's dataset.

Permissions

Requires the enrichments.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the source.

Sample Request

const response = await axios.post(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/enrichments`,
    {},
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "e931b9fa-7104-4c8d-8bb4-0980fa2a5c11",
        "state": "queued"
    }
}